Identify Domain by IP Address
curl --request GET \
--url https://data.leadinfo.com/v1/identify/ip \
--header 'Authorization: Bearer <token>'import requests
url = "https://data.leadinfo.com/v1/identify/ip"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data.leadinfo.com/v1/identify/ip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://data.leadinfo.com/v1/identify/ip",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://data.leadinfo.com/v1/identify/ip"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://data.leadinfo.com/v1/identify/ip")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://data.leadinfo.com/v1/identify/ip")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ip": "<string>",
"domain": "<string>",
"company_id": 123,
"score": 123,
"confidence": "low",
"company": {
"company_id": 123,
"name": "<string>",
"domain": "<string>",
"country": "<string>",
"city": "<string>",
"region": "<string>",
"employee_range": "<string>",
"employees": 123,
"founding_date": "<string>",
"logo": "<string>",
"linkedin": "<string>",
"facebook": "<string>",
"twitter": "<string>",
"instagram": "<string>",
"youtube": "<string>",
"github": "<string>",
"xing": "<string>"
}
}identify
Identify Domain by IP Address
Resolve IPv4 or IPv6 addresses to a domain and company_id. A quantitative score and a qualitative confidence score is given for every successful result. Charged 1 credit only when a domain is returned — not-found IPs return 404 with no charge.
GET
/
v1
/
identify
/
ip
Identify Domain by IP Address
curl --request GET \
--url https://data.leadinfo.com/v1/identify/ip \
--header 'Authorization: Bearer <token>'import requests
url = "https://data.leadinfo.com/v1/identify/ip"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data.leadinfo.com/v1/identify/ip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://data.leadinfo.com/v1/identify/ip",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://data.leadinfo.com/v1/identify/ip"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://data.leadinfo.com/v1/identify/ip")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://data.leadinfo.com/v1/identify/ip")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ip": "<string>",
"domain": "<string>",
"company_id": 123,
"score": 123,
"confidence": "low",
"company": {
"company_id": 123,
"name": "<string>",
"domain": "<string>",
"country": "<string>",
"city": "<string>",
"region": "<string>",
"employee_range": "<string>",
"employees": 123,
"founding_date": "<string>",
"logo": "<string>",
"linkedin": "<string>",
"facebook": "<string>",
"twitter": "<string>",
"instagram": "<string>",
"youtube": "<string>",
"github": "<string>",
"xing": "<string>"
}
}Authorizations
Response
Successful Response
